"""


Vertex Curvature Calculatifier ( v0.2 )
Author : rebb, trisoup.net ( use @ for eMail-assembly )

=== ChangeLog ===

v0.1
  - initial release

v0.2
  - turned into Command-Plugin, for Undo Support
  - Added UI Interface ( invoke by using "r7_vertCurvature" without parameters ) 
  - Added possibility to bake to vertex-selections instead of just whole objects
  - Optimized calculations some
  - Added new "Largest Angle" calculation algorithm,
    which causes less artifacts on vertices with many edges connected to them, but results in a darker output
  - better documentation
  - Function to automatically create and assign a "Bake-Material" to the selected Mesh.
    This makes it easier to use Mental-Ray "Batch-Baking" for baking out the vertex-color information to a texture.
  - bumped version-number by 0.1

=== Installation ===

Place r7_vertCurvatureCmd.py and r7_vertCurvature_main.pyc in your "plug-ins" directory,
then load the Plugin ( r7_vertCurvatureCmd.py ).

=== Usage ===

MEL Commands :

  r7_vertCurvature

    Using the Command without parameters will display the UI Window.

    Parameters ( Long / Short ) :

	useAlgo / a
		0 : Accumulate Curvatures
		1 : Only use the largest Curvature for each Vertex ( recommended, use Scale and Normalization options if too dark )

	outputMode / om
		0 : output both convex and concave
		1 : output convex only
		2 : output concave only

	useAllChannels / uac
		1 : Only available in outputModes 1 and 2, causes output to use all Color-Channels instead of one

	normalizeValues / nv
		1 : Normalize Curvature-Values to the Largest Curvature calculated. Say the largest Convex Curvature is 0.7, this will become 1.0 and lower convex curvatures will be adjusted accordingly.

	normalizeToAvg / na
		1 : Normalize to Average Values. Normalizes to the average curvature encountered.

	scaleValues / s
		x : Scales output by this floating-point value. Will be applied after the optional normalization-step.

	useDifference / d
		1 : Convexity and Concavity will be applied as differences of each other, so there won't be a vertex with both convex and concave data.


"""

from r7_vertCurvature_main import *